<?php
ob_start();
session_start();
date_default_timezone_set('America/Sao_Paulo');
ini_set ('default_charset', 'UTF8');

?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>CERTIFICADO - VOLUNTÁRIO</title>
		<meta http-equiv="Content-Type"	content="text/html; charset=utf-8" >
		<style type="text/css">

table.qr
{
	border-collapse: collapse;
	border: solid 1px black;
	table-layout: fixed;
}

table.qr td
{
	width: 5px;
	height: 5px;
	font-size: 2px;
}

table.qr td.on
{
	background: #000000;
}

		</style>	
	</head>
	<body>
    <?php
 
  
$codigo=$_REQUEST["codigo"];
 
 

require_once('qrcode/qrcode.class.php');
require_once('extenso.php');
include "configbd.php";

 
function mc_encrypt($encrypt, $mc_key) {
	$iv = mcrypt_create_iv(mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB), MCRYPT_RAND);
	$passcrypt = trim(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, $mc_key, trim($encrypt), MCRYPT_MODE_ECB, $iv));
	$encode = base64_encode($passcrypt);
	return $encode;
}
 
$data=date("Y-m-d");



switch (date("m")) {



        case "01":    $mes = "Janeiro";     break;



        case "02":    $mes = "Fevereiro";   break;



        case "03":    $mes = "Março";       break;



        case "04":    $mes = "Abril";       break;



        case "05":    $mes = "Maio";        break;



        case "06":    $mes = "Junho";       break;



        case "07":    $mes = "Julho";       break;



        case "08":    $mes = "Agosto";      break;



        case "09":    $mes = "Setembro";    break;



        case "10":    $mes = "Outubro";     break;



        case "11":    $mes = "Novembro";    break;



        case "12":    $mes = "Dezembro";    break; 



 }

 

$linhas1=0;
$linhas2=0;


$enc ="q=".$codigo;
$link = mc_encrypt($enc,"freidavid");

$sql2= "select a.* , b.tipo_voluntario as tvoluntario, c.nome from senuc_certificados_voluntario as a inner join senuc_tipo_voluntario as b on a.tipo_voluntario=b.id inner join senuc_nucleo as c on a.id_nucleo=c.id where codigo='".$codigo."'";
$resultado2 = mysqli_query($conexao,$sql2);
while($dados2 = mysqli_fetch_array($resultado2)){
$cpf = $dados2['cpf'];
 $nucleo = $dados2['nome'];
$horas = $dados2['horas'];
$texto = $dados2['texto'];
$tipo_voluntario = $dados2['tvoluntario'];
$inicio = $dados2['data_inicio'];
$termino = $dados2['data_termino'];
$data_inicio=date('d/m/Y', strtotime($inicio));
$data_termino=date('d/m/Y', strtotime($termino));
	$extenso=GExtenso::numero($horas);
}

echo "adasddsasda";
echo $texto;
 





	$sql1 = "SELECT * from associados where cpf='".$cpf."'";
$resultado1 = mysqli_query($conexao,$sql1);
$linhas1= mysqli_num_rows($resultado1);
while($dados = mysqli_fetch_array($resultado1)){
$nome = $dados['nome'];
$email = $dados['email'];
}

if($linhas1==0){
	
	
$sql21 = "SELECT * from registros where cpf='".$cpf."'";
$resultado2 = mysqli_query($conexao,$sql21);
$linhas2= mysqli_num_rows($resultado2);
while($dados = mysqli_fetch_array($resultado2)){
$nome = $dados['nome'];
$email = $dados['email'];
}	
	
}





//verifica se já há certificado para o curso em tela






$nome = substr($nome,0,64);

$html = '<div style="position:absolute;right:1080px;top:255px;"><img src="logovertical.png" width="35" height="170" /></div>';



	
 
$html.='<p style="font-family:\'Lucida Sans Unicode\', \'Lucida Grande\', sans-serif; font-size:24px; color:#000000;" align="justify">Em reconhecimento à sua participação e importante contribuição ao projeto EDUCAFRO, atuando como <b>'.mb_strtoupper($tipo_voluntario."(a) voluntário(a)", 'UTF-8').'</b>, em nosso núcleo <b>'.mb_strtoupper($nucleo, 'UTF-8').'</b>  conferimos à  <b>'.utf8_encode(ucfirst($nome)).'</b>, CPF nº <b>'.$cpf.'</b>, o presente certificado .<br>

Atuou desenvolvendo a(s) seguintes(s) atividade(s): <b>'.utf8_encode($texto). '</b>.';


	
	

if(($data_inicio != $data_termino) && $termino!=""){
	

$html.='<br>Seu voluntariado teve duração total de  <b>'.strtoupper($horas).' ('.$extenso.')</b> hora(s). Teve ínicio no dia 
'.$data_inicio.' e conclusão no dia '.$data_termino.'.
';}
else if(($data_inicio != $data_termino) && $termino==""){

	$html.='<br>Seu voluntariado teve duração total de  <b>'.strtoupper($horas).' ('.$extenso.')</b> hora(s). Teve ínicio no dia 
	'.$data_inicio.', exercendo as funções até a presente data.
	';
}
else{
$html.='<br>Seu voluntariado teve duração total de  <b>'.strtoupper($horas).' ('.$extenso.')</b> hora(s) e foi realizada no dia 
'.$data_inicio.'.
';	
	
}










//==============================================================
//==============================================================
//==============================================================
include("../../mpdf/mpdf.php");
 

$mpdf=new mPDF('c','A4','','',42,15,67,67,20,15); 

$mpdf->SetDisplayMode('fullpage');

$mpdf->mirrorMargins = 1;

$longfooter = '
<table width="100%" style=" vertical-align: bottom; font-family: serif; font-size: 9pt; color: #000088;"><tr>
<td width="33%">   <img src="qr/php/qr_img.php?e=H&s=3&d=www.educafro.org.br/cdigital/index.php?res='.$link.'" />  
<br>* Consulta permitida via QR CODE
</td>
<td width="33%" align="center">
<td width="33%" style="text-align: right;"></td>
</tr></table>
';


$shortheader = '

<table width="100%" style="vertical-align: bottom; font-family: serif; font-size: 9pt; color: #000088;"><tr>
<td width="20%" style="text-align: right;">


<td width="43%"><span style="font-size:45pt;"> </span></td>
<td width="37%">

<center><barcode  size="1" height="1.75" code="'.$codigo.'" type="EAN128A" />
<span style="font-size:14pt; "><br>Código : '.$codigo.' </span><br><span style="font-size:12pt; ">Para verificar a autenticidade do documento basta acessar www.educafro.org.br/cdigital e inserir o código acima</span></center>
</td>




</tr></table>


';





$mpdf->setHeader();	// Clear headers before adding page
$mpdf->AddPage('L','','','','',30,10,55,45,8,25);

$mpdf->SetHTMLHeader($shortheader,'',true);	// New parameter in v1.4 to add the header to the new page

$mpdf->SetHTMLFooter($longfooter);

$stylesheet = file_get_contents('stilowd.css');
$mpdf->WriteHTML($stylesheet,1);	// The parameter 1 tells that this is css/style only and no body/html/text







$mpdf->SetWatermarkImage('logoedu.png', 1, 'P', array(50,1));
$mpdf->showWatermarkImage = true;

$mpdf->watermarkImageAlpha = 0.1;
$mpdf->WriteHTML($html);


$content = $mpdf->Output('', 'S');




$mpdf->Output('certificado.pdf','I');
exit;


//==============================================================
//==============================================================
//==============================================================




?>

